import { computed } from 'vue'
import { defineStore } from 'pinia'
import { readData } from '@/utils/storage'

export const useUserStore = defineStore('user', () => {
  const user_name = computed(() => readData('user_name') || 'Demo User')
  const user_access = computed(() => readData('user_access') || 'Super Admin')
  const user_uid = computed(() => readData('user_uid') || 'Jakarta Raya')
  const user_image = computed(
    () =>
      readData('user_image') ||
      'https://iidamidamerica.org/wp-content/uploads/2020/12/male-placeholder-image.jpeg'
  )

  return { user_name, user_access, user_image, user_uid }
})
